using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using Syncfusion.Windows.Forms.Tools.XPMenus;

namespace BarBlink
{
	/// <summary>
	/// Zusammenfassung fr Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private Syncfusion.Windows.Forms.Tools.XPMenus.MainFrameBarManager mainFrameBarManager1;
		private Syncfusion.Windows.Forms.Tools.XPMenus.Bar bar1;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem1;
		private System.Windows.Forms.Timer timer1;
		private System.ComponentModel.IContainer components;

		public Form1()
		{
			//
			// Erforderlich fr die Windows Form-Designeruntersttzung
			//
			InitializeComponent();

			//
			// TODO: Fgen Sie den Konstruktorcode nach dem Aufruf von InitializeComponent hinzu
			//
		}

		/// <summary>
		/// Die verwendeten Ressourcen bereinigen.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Vom Windows Form-Designer generierter Code
		/// <summary>
		/// Erforderliche Methode fr die Designeruntersttzung. 
		/// Der Inhalt der Methode darf nicht mit dem Code-Editor gendert werden.
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(Form1));
			this.mainFrameBarManager1 = new Syncfusion.Windows.Forms.Tools.XPMenus.MainFrameBarManager(this.components, this);
			this.bar1 = new Syncfusion.Windows.Forms.Tools.XPMenus.Bar(this.mainFrameBarManager1, "toolbar");
			this.barItem1 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
			this.timer1 = new System.Windows.Forms.Timer(this.components);
			((System.ComponentModel.ISupportInitialize)(this.mainFrameBarManager1)).BeginInit();
			// 
			// mainFrameBarManager1
			// 
			this.mainFrameBarManager1.BarPositionInfo = ((System.IO.MemoryStream)(resources.GetObject("mainFrameBarManager1.BarPositionInfo")));
			this.mainFrameBarManager1.Bars.Add(this.bar1);
			this.mainFrameBarManager1.Categories.Add("Test");
			this.mainFrameBarManager1.CurrentBaseFormType = "";
			this.mainFrameBarManager1.Form = this;
			this.mainFrameBarManager1.ImageList = null;
			this.mainFrameBarManager1.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
																											  this.barItem1});
			this.mainFrameBarManager1.LargeImageList = null;
			this.mainFrameBarManager1.ResetCustomization = false;
			// 
			// bar1
			// 
			this.bar1.BarName = "toolbar";
			this.bar1.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
																							  this.barItem1});
			this.bar1.Manager = this.mainFrameBarManager1;
			// 
			// barItem1
			// 
			this.barItem1.CategoryIndex = 0;
			this.barItem1.ID = "Blink";
			this.barItem1.Text = "Blink";
			this.barItem1.DrawToolbarItem += new Syncfusion.Windows.Forms.Tools.XPMenus.DrawToolbarItemEventHandler(this.barItemZurck_DrawToolbarItem);
			// 
			// timer1
			// 
			this.timer1.Enabled = true;
			this.timer1.Interval = 900;
			this.timer1.Tick += new System.EventHandler(this.timer1_Tick);
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(292, 266);
			this.Name = "Form1";
			this.Text = "Form1";
			((System.ComponentModel.ISupportInitialize)(this.mainFrameBarManager1)).EndInit();

		}
		#endregion

		/// <summary>
		/// Der Haupteinstiegspunkt fr die Anwendung.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

		bool bLastBlink = false;

		private void timer1_Tick(object sender, System.EventArgs e)
		{
			bLastBlink = !bLastBlink;
			
			// barItem1.Text = barItem1.Text + " "; // HACK: to fix - working repaint

			
			foreach (Bar b in mainFrameBarManager1.Bars)
			{
				mainFrameBarManager1.GetBarControl(b).Invalidate();
			}
				
		}
		
		System.Drawing.SolidBrush brushRed = new SolidBrush(Color.FromArgb(150,255,0,0));

		private void barItemZurck_DrawToolbarItem(object sender, Syncfusion.Windows.Forms.Tools.XPMenus.DrawToolbarItemEventArgs drawItemInfo)
		{
			drawItemInfo.DrawBackground();
			Graphics g = drawItemInfo.Graphics;
			
			if (bLastBlink)
				g.FillRectangle(brushRed, drawItemInfo.Bounds.X, drawItemInfo.Bounds.Y, drawItemInfo.Bounds.Width, drawItemInfo.Bounds.Height);

			drawItemInfo.DrawBorders();
			drawItemInfo.DrawInterior();

		}
	}
}
